ITPub博客

首页 > 数据库 > Oracle > error: Failed dependencies:pdksh conflicts with ksh-20100621-16.el6.x86_64

error: Failed dependencies:pdksh conflicts with ksh-20100621-16.el6.x86_64

Oracle 作者:urgel_babay 时间:2016-02-29 17:30:02 0 删除 编辑
在Linux6.3_x64 上安装oracle 11R2的时候提示:


于是上传安装包:pdksh-5.2.14-37.el5_8.1.x86_64.rpm

[root@bidevelop4 Packages]# rpm -ivh pdksh-5.2.14-37.el5_8.1.x86_64.rpm
warning: pdksh-5.2.14-37.el5_8.1.x86_64.rpm: Header V3 DSA/SHA1 Signature, key ID e8562897: NOKEY
error: Failed dependencies:
        pdksh conflicts with ksh-20100621-16.el6.x86_64
[root@bidevelop4 Packages]# rpm -ivh *ksh*
warning: ksh-20100621-16.el6.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID fd431d51: NOKEY
warning: pdksh-5.2.14-37.el5_8.1.x86_64.rpm: Header V3 DSA/SHA1 Signature, key ID e8562897: NOKEY
error: Failed dependencies:
        pdksh conflicts with ksh-20100621-16.el6.x86_64
解决办法:
[root@bidevelop4 Packages]# rpm -qa | grep ksh
ksh-20100621-16.el6.x86_64
[root@bidevelop4 Packages]# rpm -e ksh-20100621-16.el6.x86_64
[root@bidevelop4 Packages]# rpm -ivh pdksh-5.2.14-37.el5_8.1.x86_64.rpm
warning: pdksh-5.2.14-37.el5_8.1.x86_64.rpm: Header V3 DSA/SHA1 Signature, key ID e8562897: NOKEY
Preparing...                ########################################### [100%]
   1:pdksh                  ########################################### [100%]
[root@bidevelop4 Packages]#
check again 之后,就ok!

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/30936525/viewspace-2016721/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论

注册时间:2016-02-29

  • 博文量
    203
  • 访问量
    214800